Oracle8 Distributed Database Systems Release 8.0 A58247-01 |
Library | Product | Contents | Index

# A
Heterogeneous Services Initialization Parameters

This appendix describes Heterogeneous Services initialization parameters.

Initialization parameters can either be set at the agent-site using an agent-specific mechanism or they can be set in the Oracle server using the DBMS_HS package. See Chapter 7, "Administering Oracle Heterogeneous Services" for more information on how to set and delete initialization parameters using the DBMS_HS package.

- HS_COMMIT_POINT_STRENGTH
- HS_DB_DOMAIN
- HS_DB_INTERNAL_NAME
- HS_DB_NAME
- HS_DESCRIBE_CACHE_HWM
- HS_LANGUAGE
- HS_NLS_DATE_FORMAT
- HS_NLS_DATE_LANGUAGE
- HS_NLS_NCHAR
- HS_OPEN_CURSORS
- HS_ROWID_CACHE_SIZE
- HS_RPC_FETCH_REBLOCKING
- HS_FDS_FETCH_ROWS
- HS_RPC_FETCH_SIZE

## HS_COMMIT_POINT_STRENGTH

#####

Service: | General
Default value: | 0
Range of values: | 0 to 255

### Purpose

The parameter HS_COMMIT_POINT_STRENGTH has the same function as the Oracle8 parameter COMMIT_POINT_STRENGTH.

Set HS_COMMIT_POINT_STRENGTH to a value relative to the importance of the site that will be the commit point site in a distributed transaction. The Oracle server or non-Oracle system with the highest commit point strength becomes the commit point site. To ensure that non-Oracle system never becomes the commit point site, set the value of HS_COMMIT_POINT_STRENGTH to zero.

HS_COMMIT_POINT_STRENGTH can be of importance only if the non-Oracle system can participate in the the two-phase protocol as an regular two-phase commit partner and as commit point site. This is only the case if the transaction model is two-phase commit confirm (2PCC).

See Chapter 7, "Administering Oracle Heterogeneous Services" for more information about heterogeneous distributed transactions. See Chapter 3, "Distributed Transactions", for more information about distributed transactions and commit point sites.

## HS_DB_DOMAIN

#####

Service: | General
Default value: | WORLD
Range of values: | 1 to 119 characters

### Purpose

HS_DB_DOMAIN specifies a unique network sub-address for a non-Oracle system. HS_DB_DOMAIN is used in a similar fashion to the Oracle server equivalent, which is described in the Oracle8 Administrator's Guide and the Oracle8 Reference. HS_DB_DOMAIN is required if you use the Oracle Name Server. The parameters HS_DB_NAME and HS_DB_DOMAIN define the global name of the non-Oracle system.

  Note: HS_DB_NAME and HS_DB_DOMAIN in combination must also be unique.

## HS_DB_INTERNAL_NAME

#####

Service: | General
Default value: | 01010101
Range of values: | 1 to 16 hexadecimal characters

### Purpose

HS_DB_INTERNAL_NAME specifies a unique hexadecimal number identifying the instance to which the Heterogeneous Services agent is connected. This parameter's value is used as part of a transaction ID when global name services are activated. Specifying a nonunique number can cause problems when two-phase commit recovery actions are necessary for a transaction.

## HS_DB_NAME

#####

Service: | General
Default value: | HO
Range of values: | 1 to 8 characters

### Purpose

A unique alphanumeric name for the datastore given to the non-Oracle system. This name identifies the non-Oracle system within the cooperative server environment. The HS_DB_NAME and HS_DB_DOMAIN define the global name of the non-Oracle system.

## HS_DESCRIBE_CACHE_HWM

#####

Service: | General
Default value: | 100
Range of values: | 1 to 4000

### Purpose

HS_DESCRIBE_CACHE_HWM specifies the maximum number of entries in the describe cache used by Heterogeneous Services. This limit is known as the describe cache high water mark. The cache contains descriptions of the mapped tables that Heterogeneous Services reuses rather than re-accessing the non-Oracle datastore. Increasing the high water mark improves performance, especially when you are accessing many mapped tables. However, note that increasing the high water mark improves performance at the cost of memory usage.

## HS_LANGUAGE

#####

Service: | General
Default value: | System Specific
Range of values: | None

### Purpose

The HS_LANGUAGE initialization parameter provides Heterogeneous Services with character set, language and territory information of the non-Oracle data source. The value of the HS_LANGUAGE initialization parameter has to be of the following format:

    <language>[_<territory>.<character_set>]

Note: The national language support initialization parameters affect error messages, the data for the SQL Service, and parameters in distributed external procedures.

### Character sets

Ideally, the character sets of the Oracle8 server and the non-Oracle data source are the same. If they are not the same, Heterogeneous Services tries to translate the character set of the non-Oracle data source to the Oracle8 character set, and vice versa. This can degrade performance, and in some cases Heterogeneous Services will not be able to translate a character from one character set to another.

### Language

The language part of the HS_LANGUAGE initialization parameter, determines:

- Day and month names of dates
- AD, BC, PM, and AM symbols for date and time
- Default sorting mechanism

Note that HS_LANGUAGE does not determine the language for error messages for the generic Heterogeneous Services messages (ORA-25000 through ORA-28000). These are controlled by the session settings in the Oracle server.

  Note: You can set the day and month names, and the AD, BC, PM, and AM symbols for dates and time independently from the language, using the HS_NLS_DATE_LANGUAGE initialization parameter.

### Territory

The territory clause of the HS_LANGUAGE initialization parameter specifies the conventions for day and week numbering, default date format, decimal character and group separator, and ISO and local currency symbols.

- You can override the date format using the initialization parameter HS_NLS_DATE_FORMAT.
- The level of National Language Support between the Oracle8 server and the non-Oracle data source depends on how the driver is implemented. See the installation and users' guide for your platform for more information about the level of National Language Support.

## HS_NLS_DATE_FORMAT

#####

Service: | General
Default value: | Value determined by HS_LANGUAGE parameter
Range of values: | None

### Purpose

HS_NLS_DATE_FORMAT defines the date format for dates used by the target system. This parameter has the same function as the HS_NLS_DATE_FORMAT parameter for an Oracle server. The value of `date_format` can be any valid date mask, listed in the Oracle8 Reference, but must match the date format of the target system. For example, if the target system stores the date "February 14, 1995" as "1995/02/14", set the parameter to:

    'YYYY/MM/DD'

## HS_NLS_DATE_LANGUAGE

#####

Service: | General
Default value: | Value determined by HS_LANGUAGE parameter
Range of values: | None

### Purpose

The HS_NLS_DATE_LANGUAGE parameter specifies the language used in character date values coming from the non-Oracle system. Date formats can be language independent. For example, if the format is 'DD/MM/YY', all three components of the character date are numbers. However, in the format 'DD-MON-YY', the month component is the name abbreviated to three characters. This abbreviation is very much language dependent. For example, the the abbreviation for the month April is APR, in French it is AVR (Avril).

Heterogeneous Services will assume that character date values fetched from the non-Oracle system are in this format. Also, Heterogeneous Services will sent character date bind values in this format to the non-Oracle system.

## HS_NLS_NCHAR

#####

Service: | General
Default value: | Value determined by HS_LANGUAGE parameter
Range of values: | None

The HS_NLS_NCHAR parameter is used to tell the Heterogeneous Services the value of the national character set of the non-Oracle data source. The value should be the character set ID of a character set that is supported by Oracle's NLSRTL library.

See also the HS_LANGUAGE parameter.

## HS_OPEN_CURSORS

#####

Service: | General
Default value: | 50
Range of values: | None

### Purpose

The HS_OPEN_CURSORS parameter defines the maximum number of cursors that can be open on one connection to a non-Oracle system instance.

The value never exceeds the number of open cursors in the Oracle server. Therefore, setting the same value as the HS_OPEN_CURSORS initialization parameter in the Oracle server is recommended.

## HS_ROWID_CACHE_SIZE

#####

Service: | General
Default value: | 3
Range of values: | 1 to 32767

### Purpose

HS_ROWID_CACHE_SIZE specifies the size of the Heterogeneous Services cache containing the non-Oracle system equivalent of ROWIDs. The cache contains non-Oracle system ROWIDs needed to support the WHERE CURRENT OF clause in a SQL statement or a SELECT FOR UPDATE statement.

When the cache is full, the first slot in the cache is reused, then the second, and so on. Only the last HS_ROWID_CACHE_SIZE non-Oracle system ROWIDs are cached.

## HS_RPC_FETCH_REBLOCKING

#####

Service: | General
Default value: | ON
Range of values: | OFF, ON

### Purpose

This controls whether or not Heterogeneous Services attempts to optimize performance of data transfer between the ORACLE server and the Heterogeneous Services agent connected to the non-Oracle datastore. See Chapter 8, "Application Development with Heterogeneous Services" for more information.

The value "OFF" disables reblocking of fetched data. This means that data is immediately sent from the agent to the server. The value "ON" enables reblocking, which means that data fetched from the non-Oracle system is buffered in the agent, and will not be sent to the Oracle server, until the amount of fetched data is equal or higher than HS_RPC_FETCH_SIZE.

## HS_FDS_FETCH_ROWS

#####

Service: | General
Default value: | 20
Range of values: | Decimal integer (row count)

### Purpose

This parameter specifies the number of rows to fetch in one round trip from the non-Oracle datastore by the agent .

Each Heterogeneous Services agent will likely have its own maximum limit for the range of this variable. If your non-Oracle datastore does not support array fetch, the value for this parameter must be 1. See your agent-specific documentation for more information.

See Chapter 8, "Application Development with Heterogeneous Services" for more information.

## HS_RPC_FETCH_SIZE

#####

Service: | General
Default value: | 4000
Range of values: | Decimal integer (byte count)

### Purpose

This initialization parameter tunes internal data buffering to optimize the data transfer rate between the server and the agent process. Increasing the value can lead to more optimal data transfers per round trip. However, it can increase the response time of certain queries, since the data is not sent back to the server until the data fetched from the non-Oracle system equals HS_RPC_FETCH_SIZE.

See Chapter 8, "Application Development with Heterogeneous Services" for more information.

Prev | Next
| Copyright © 1997 Oracle Corporation. All Rights Reserved. |
Library | Product | Contents | Index